# Uses of Class
net.shibboleth.profile.installablecomponent.InstallableComponentInfo.VersionInfo

Packages that use InstallableComponentInfo.VersionInfo
Package
Description
net.shibboleth.profile.installablecomponent
Classes for "Installable Components".

## Uses of InstallableComponentInfo.VersionInfo in net.shibboleth.profile.installablecomponent

Fields in net.shibboleth.profile.installablecomponent with type parameters of type InstallableComponentInfo.VersionInfo
Modifier and Type
Field
Description
`private final Map<InstallableComponentVersion,InstallableComponentInfo.VersionInfo>`
InstallableComponentInfo.`versionInfo`
The support information.
Methods in net.shibboleth.profile.installablecomponent that return types with arguments of type InstallableComponentInfo.VersionInfo
Modifier and Type
Method
Description
`Map<InstallableComponentVersion,InstallableComponentInfo.VersionInfo>`
InstallableComponentInfo.`getAvailableVersions()`
Get the raw version info for this component.
Methods in net.shibboleth.profile.installablecomponent with parameters of type InstallableComponentInfo.VersionInfo
Modifier and Type
Method
Description
`static boolean`
InstallableComponentInfo.`isSupportedWithIdPVersion(InstallableComponentInfo.VersionInfo componentVersionInfo, InstallableComponentVersion installIntoVersion)`
Can the specified component be installed into this version? Worker method for all 'isSupportedWith' classes.